### Eclipse Workspace Patch 1.0
#P Parse-MediaWikiDump
Index: lib/Parse/MediaWikiDump/Revisions.pm
===================================================================
--- lib/Parse/MediaWikiDump/Revisions.pm	(revision 89)
+++ lib/Parse/MediaWikiDump/Revisions.pm	(working copy)
@@ -1,6 +1,6 @@
 package Parse::MediaWikiDump::Revisions;
 
-our $VERSION = '0.95';
+our $VERSION = '0.96';
 
 use 5.8.0;
 
@@ -264,7 +264,11 @@
 
 sub validate_mediawiki_node {
 	my ($engine, $a, $element, $attrs) = @_;
-	die "Only version 0.3 dump files are supported" unless $attrs->{version} eq '0.3';
+	my $version = $attrs->{version};
+	
+	if ($version ne '0.3' && $version ne '0.4') {
+			die "Only version 0.3 and 0.4 dump files are supported";
+	}
 }
 
 sub save_siteinfo {
Index: lib/Parse/MediaWikiDump/Pages.pm
===================================================================
--- lib/Parse/MediaWikiDump/Pages.pm	(revision 86)
+++ lib/Parse/MediaWikiDump/Pages.pm	(working copy)
@@ -1,6 +1,6 @@
 package Parse::MediaWikiDump::Pages;
 
-our $VERSION = '0.94';
+our $VERSION = '0.96';
 
 use base qw(Parse::MediaWikiDump::Revisions);
 
@@ -69,8 +69,7 @@
 }
 
 sub validate_mediawiki_node {
-	my ($engine, $a, $element, $attrs) = @_;
-	die "Only version 0.3 dump files are supported" unless $attrs->{version} eq '0.3';
+	return Parse::MediaWikiDump::Revisions::validate_mediawiki_node(@_);
 }
 
 sub save_namespace_node {
Index: lib/Parse/MediaWikiDump.pm
===================================================================
--- lib/Parse/MediaWikiDump.pm	(revision 89)
+++ lib/Parse/MediaWikiDump.pm	(working copy)
@@ -1,5 +1,5 @@
 package Parse::MediaWikiDump;
-our $VERSION = '0.95';
+our $VERSION = '0.96';
 
 use Parse::MediaWikiDump::XML;
 use Parse::MediaWikiDump::Revisions;
